# configuration-loader 使用

## 使用lombok简单化set/get方法
pom.xml 添加
```xml
<dependency>
    <groupId>org.projectlombok</groupId>
    <artifactId>lombok</artifactId>
    <version>1.18.10</version>
    <scope>provided</scope>
</dependency>
```

- [最新版本见: https://mvnrepository.com/artifact/org.projectlombok/lombok/1.18.10](https://mvnrepository.com/artifact/org.projectlombok/lombok/1.18.10)

## 属性文件的定义
### yml/yaml 文件的定义
- [**application.yml**](./config/application.yml)
- [**application-dev.yml**](./config/application-dev.yml)

### properties
- [application.properties](./config/application.properties)
- [application-dev.properties](./config/application-dev.properties)

### json
- [application.json](./config/application.json)
- [application-dev.json](./config/application-dev.json)


## 类的定义
>这里使用`lombok`插件生成`set`和`get`方法,使用注解`@lombok.Data`,如果不使用`lombok`,就手动生成set和get方法就可以了.


[**me.yuxiaoyao.loader.test.PropertiesConfig.java**](./src/main/java/me/yuxiaoyao/loader/test/PropertiesConfig.java)



>当属性名和JAVA字段名不一致时,可以使用 注解 `@JsonProperty("gw-config")` 修饰字段.


## [运行DEMO](./src/main/java/me/yuxiaoyao/loader/test/ConfigurationLoaderTest.java)
[me.yuxiaoyao.loader.test.ConfigurationLoaderTest](./src/main/java/me/yuxiaoyao/loader/test/ConfigurationLoaderTest.java)

运行有问题请看:
![1](./art/1.png)
![2](./art/2.png)