package me.yuxiaoyao.loader.test;


import com.fasterxml.jackson.annotation.JsonProperty;

import java.util.List;
import java.util.Map;

/**
 * @author Kerry on 19/10/28
 */

@lombok.Data
public class PropertiesConfig {


    private String type;
    private ServerBean server;

    @JsonProperty("gw-config")
    private GwConfigBean gwConfig;

    @lombok.Data
    public static class ServerBean {
        private Integer port;
        private MysqlBean mysql;
        private RedisBean redis;

        @lombok.Data
        public static class MysqlBean {
            private String url;
            private String classname;
            private String password;
            private String username;
        }

        @lombok.Data
        public static class RedisBean {
            private Boolean enable;
            private String host;
            private Integer port;
            private String password;
            private Integer database;
            @JsonProperty("thread-pool")
            private ThreadPoolBean threadPool;

            @lombok.Data
            public static class ThreadPoolBean {
                private int max;
                @JsonProperty("min-idle-timeout")
                private int minIdleTimeout;
            }
        }
    }

    @lombok.Data
    public static class GwConfigBean {

        @JsonProperty("gateway-no")
        private Integer gatewayNo;

        @JsonProperty("simple-list")
        private List<String> simpleList;

        @JsonProperty("cmd-list")
        private List<CmdListBean> cmdList;

        @JsonProperty("simple-map")
        private Map<String, String> simpleMap;

        @JsonProperty("cmd-map")
        private Map<String, MapKeyBean> cmdMap;

        @lombok.Data
        public static class CmdListBean {
            private String name;
            private int type;
        }

        @lombok.Data
        public static class MapKeyBean {
            private String name;
            private String type;
        }
    }
}
