# 仿SpringBoot属性文件加载

> 一般Java应用程序中,用于加载属性文件

### maven 必须
```
<dependency>
    <groupId>me.yuxiaoyao.lang</groupId>
    <artifactId>configuration-loader</artifactId>
    <version>2.0.0</version>
</dependency>
<dependency>
    <groupId>com.fasterxml.jackson.core</groupId>
    <artifactId>jackson-databind</artifactId>
    <version>2.10.0</version>
</dependency>
```

- [`configuration-loader`最新版本见:pom.xml](./pom.xml)
- [`jackson-databind`最新版见:](https://mvnrepository.com/artifact/com.fasterxml.jackson.core/jackson-databind)



### 可选依赖(可以不加,也可以选一个加,或者都加)

#### 加载yml/yaml 文件时必须加
```xml
<!-- yml/yaml -->
<dependency>
    <groupId>com.fasterxml.jackson.dataformat</groupId>
    <artifactId>jackson-dataformat-yaml</artifactId>
    <version>${jackson.version}</version>
</dependency>
```

#### 加载 properties 文件时必须加
```
<!-- properties -->
<dependency>
    <groupId>com.fasterxml.jackson.dataformat</groupId>
    <artifactId>jackson-dataformat-properties</artifactId>
    <version>${jackson.version}</version>
</dependency>
```

#### 以上两个都不加时,默认使用`json`

#### 说明
配置文件放在`config`目录下. 

```
maven 项目
    | - config
        | - application.yml
        | - application-dev.yml
    | - src
        | - main

```


>如果两个依赖都加的话,文件后缀顺序为:

1. `yml` - jackson-dataformat-yaml
2. `yaml` - jackson-dataformat-yaml
3. `properties` - jackson-dataformat-properties
4. `json` - default


## [使用方法和DEMO](../configuration-loader-test/README.md)
