package me.yuxiaoyao.config.log;

import org.slf4j.bridge.SLF4JBridgeHandler;

import java.io.File;

/**
 * @author Kerry on 19/10/10
 */

public class LogSetter {
    public static String DEFAULT_FILE_CONFIG_FOLDER = "config";

    public static void resetLogger() {
        // 第三方JAR包引用了 其他日志LIB,这里统一用 slf4j 统一接管
        // @see https://stackoverflow.com/questions/6020545/send-redirect-route-java-util-logging-logger-jul-to-logback-using-slf4j/20407321
        SLF4JBridgeHandler.removeHandlersForRootLogger();
        SLF4JBridgeHandler.install();
    }

    public static void setLogback(String basename, String profile) {
        if (profile == null) {
            return;
        }
        File file = new File(DEFAULT_FILE_CONFIG_FOLDER + File.separator + basename + "-" + profile + ".xml");
        if (file.exists()) {
            System.setProperty("logback.configurationFile", file.getAbsolutePath());
            return;
        }
        file = new File(DEFAULT_FILE_CONFIG_FOLDER + File.separator + basename + ".xml");
        if (file.exists()) {
            System.setProperty("logback.configurationFile", file.getAbsolutePath());
        }
    }
}
